# 32/64bit spec-file
#
%define major 3
%define libname %mklibname %name %major
%define develibname %mklibname -d %name

Summary:        A freely licensed alternative to the GLUT library
Summary(de):	OpenSource Alternative für die GLUT Bibliothek
Name:           freeglut
Version:        3.4.0
Release:        %mkrel 1
URL:            http://freeglut.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:        http://downloads.sourceforge.net/openglut/openglut-0.6.3-doc.tar.gz
Patch0:         freeglut-glextconflict.patch
License:        MIT
Group:          System/Libraries
BuildRequires:  pkgconfig mesaglu-devel libxext-devel libxxf86vm-devel
BuildRequires:  libxi-devel libice-devel

%description
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.
#german
%description -l de
freeglut ist eine OpenSource Alternative für die OpenGL Utility Toolkit (GLUT) Bibliothek. 
GLUT wurde ursprünglich von Mark Kilgard geschrieben, um die Beispielprogramme in der 
zweiten Auflage von OpenGL 'RedBook' zu unterstützen. Seitdem wurde GLUT in einer Vielzahl 
von praktischen Anwendungen integriert, weil es einfach, weit verbreitet und portabel ist.

%package -n %libname
Summary:        A freely licensed alternative to the GLUT library
Summary(de):	OpenSource Alternative für die GLUT Bibliothek
Group:          System/Libraries
Provides:       glut = 3.7
Obsoletes:      glut < 3.7
Obsoletes:	%{_lib}mesaglut3 < 8.0

%description -n %libname
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.
#german
%description -n %libname -l de
freeglut ist eine OpenSource Alternative für die OpenGL Utility Toolkit (GLUT) Bibliothek. 
GLUT wurde ursprünglich von Mark Kilgard geschrieben, um die Beispielprogramme in der 
zweiten Auflage von OpenGL 'RedBook' zu unterstützen. Seitdem wurde GLUT in einer Vielzahl 
von praktischen Anwendungen integriert, weil es einfach, weit verbreitet und portabel ist.


%package -n %develibname
Summary:        Freeglut developmental libraries and header files
Summary(de):	Entwicklerdateien für freeglut
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       glut-devel = 3.7
Obsoletes:      glut-devel < 3.7
Provides:       %{name}-devel = %{version}-%{release}
Requires:	mesaglu-devel

%description -n %develibname
Developmental libraries and header files required for developing or compiling
software which links to the freeglut library, which is an open source
alternative to the popular GLUT library, with an OSI approved free software
license.
#german
%description -n %develibname -l de
Enthält die Headerdateien und Bibliotheken zum erstellen von Anwendungen
basieren auf die freeglut Bibliothek.


%prep
%setup -q -a 1
%apply_patches

%build
%{cmake} -Wno-dev -DFREEGLUT_BUILD_STATIC_LIBS=OFF ..
%make

%install
rm -rf $RPM_BUILD_ROOT
%make_install -C build

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
install -p -m 644 doc/man/*.3 $RPM_BUILD_ROOT/%{_mandir}/man3

# for backward compatibility
ln -s glut.pc %{buildroot}%{_libdir}/pkgconfig/freeglut.pc

%clean
rm -rf $RPM_BUILD_ROOT


%files -n %libname
%{_libdir}/libglut*.so.%{major}
%{_libdir}/libglut*.so.%{major}.*

%files -n %develibname
%{_includedir}/GL/*.h
%{_libdir}/libglut.so
%{_mandir}/man3/*
%{_libdir}/cmake
%{_libdir}/pkgconfig/glut.pc
%{_libdir}/pkgconfig/freeglut.pc   
   
%changelog
* Sun Oct 09 2022 tex - 3.4.0-1pclos2022
- new version

* Sat Feb 12 2022 tex - 3.2.2-1pclos2022
- new version

* Wed Apr 28 2021 tex - 3.2.1-2pclos2021
- add patch1

* Sat Feb 01 2020 tex - 3.2.1-1pclos2020
- new version

* Thu Sep 19 2019 tex - 3.2.0-1pclos2019
- new version

* Sat May 25 2019 tex - 3.0.0-3pclos2019
- rebuild against updates

* Fri Mar 22 2019 tex - 3.0.0-2pclos2019
- rebuild against updates

* Tue Jan 19 2016 bb <bb> 3.0.0-1pclos2016
- update

* Thu May 09 2013 bb <bb> 2.8.0-1pclos2013
- 2.8.0

* Sat Apr 21 2012 leiche <meisssw01 at gmail.com> 2.6.0-2pclos2012
- rebuild
- add german description

* Sun Sep 25 2011 Texstar <texstar at gmail.com> 2.6.0-1pclos2011
- 2.6.0
